-- unit and wall production adjustment for game speeds
INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_EPIC_UNIT_PRODUCTION'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_EPIC_MEDWALLS_PRODUCTION'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_EPIC_RENWALLS_PRODUCTION'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_EPIC_ANCWALLS_PRODUCTION'),
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_EPIC_TSIKHE_PRODUCTION');

INSERT INTO Modifiers (ModifierId, ModifierType, OwnerRequirementSetId) VALUES
('LGAI_EPIC_UNIT_PRODUCTION', 'MODIFIER_PLAYER_CITIES_ADJUST_MILITARY_UNITS_PRODUCTION', 'PLAYER_IS_HIGH_DIFFICULTY_AI'),
('LGAI_EPIC_MEDWALLS_PRODUCTION', 'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_PRODUCTION', 'PLAYER_IS_HIGH_DIFFICULTY_AI'),
('LGAI_EPIC_RENWALLS_PRODUCTION', 'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_PRODUCTION', 'PLAYER_IS_HIGH_DIFFICULTY_AI'),
('LGAI_EPIC_ANCWALLS_PRODUCTION', 'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_PRODUCTION', 'PLAYER_IS_HIGH_DIFFICULTY_AI'),
('LGAI_EPIC_TSIKHE_PRODUCTION', 'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_PRODUCTION', 'PLAYER_IS_HIGH_DIFFICULTY_AI');

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value, Extra) VALUES
('LGAI_EPIC_UNIT_PRODUCTION', 'Amount', 'LinearScaleFromDefaultHandicap', 10, 0),
('LGAI_EPIC_MEDWALLS_PRODUCTION', 'Amount', 'LinearScaleFromDefaultHandicap', 10, 0),
('LGAI_EPIC_MEDWALLS_PRODUCTION', 'BuildingType', 'ARGTYPE_IDENTITY', 'BUILDING_CASTLE', NULL),
('LGAI_EPIC_RENWALLS_PRODUCTION', 'Amount', 'LinearScaleFromDefaultHandicap', 10, 0),
('LGAI_EPIC_RENWALLS_PRODUCTION', 'BuildingType', 'ARGTYPE_IDENTITY', 'BUILDING_STAR_FORT', NULL),
('LGAI_EPIC_ANCWALLS_PRODUCTION', 'Amount', 'LinearScaleFromDefaultHandicap', 10, 0),
('LGAI_EPIC_ANCWALLS_PRODUCTION', 'BuildingType', 'ARGTYPE_IDENTITY', 'BUILDING_WALLS', NULL),
('LGAI_EPIC_TSIKHE_PRODUCTION', 'Amount', 'LinearScaleFromDefaultHandicap', 10, 0),
('LGAI_EPIC_TSIKHE_PRODUCTION', 'BuildingType', 'ARGTYPE_IDENTITY', 'BUILDING_TSIKHE', NULL);

-- change production modifier (not just for military and walls) for city states because they already get big modifiers for military and wall production classes by firaxis and it doesn't really matter if their non-military production gets buffed anyway
UPDATE ModifierArguments SET Value=-45 WHERE ModifierId='MINOR_CIV_PRODUCTION_PENALTY' AND Name='Amount';